<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>controler</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="controler";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Package</li>
<li><a href="../model/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;controler</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../controler/Drag.html" title="class in controler">Drag</a></td>
<td class="colLast">
<div class="block">The Class Drag.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../controler/Drop.html" title="class in controler">Drop</a></td>
<td class="colLast">
<div class="block">The Class Drop.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../controler/Game.html" title="class in controler">Game</a></td>
<td class="colLast">
<div class="block">The Class Game is the main class use for the functionment of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../controler/GameOnline.html" title="class in controler">GameOnline</a></td>
<td class="colLast">
<div class="block">The Class GameOnline is use only for the online gamemode.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../controler/GridListener.html" title="class in controler">GridListener</a></td>
<td class="colLast">
<div class="block">The listener is used in the jpanel of the grid to know the position and if the player click.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../controler/InitialisationOnlineGame.html" title="class in controler">InitialisationOnlineGame</a></td>
<td class="colLast">
<div class="block">The Class InitialisationOnlineGame, depending of the cunstructor used, will start a server and connect to him to play online.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../controler/ListenerCards.html" title="class in controler">ListenerCards</a></td>
<td class="colLast">
<div class="block">The Class ListenerCards.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../controler/ListenerCreationPiece.html" title="class in controler">ListenerCreationPiece</a></td>
<td class="colLast">
<div class="block">The Class ListenerCreationPiece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../controler/ListenerModeMenu.html" title="class in controler">ListenerModeMenu</a></td>
<td class="colLast">
<div class="block">The Class ListenerModeMenu.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../controler/ListenerParametres.html" title="class in controler">ListenerParametres</a></td>
<td class="colLast">
<div class="block">The Class ListenerParametres.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../controler/ListenerPlayersMenu.html" title="class in controler">ListenerPlayersMenu</a></td>
<td class="colLast">
<div class="block">The Class ListenerPlayersMenu.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../controler/ListenerStart.html" title="class in controler">ListenerStart</a></td>
<td class="colLast">
<div class="block">The Class ListenerStart.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../controler/ListenerStartOnline.html" title="class in controler">ListenerStartOnline</a></td>
<td class="colLast">
<div class="block">The Class ListenerStartOnline.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../controler/MainButtonListener.html" title="class in controler">MainButtonListener</a></td>
<td class="colLast">
<div class="block">This listener is used to listen the main button of a game (quitter and sauvegarder) and the save JtextField.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../controler/PieceListener.html" title="class in controler">PieceListener</a></td>
<td class="colLast">
<div class="block">This listener action the drag and drop on the playerPiece</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../controler/PlayerButtonListener.html" title="class in controler">PlayerButtonListener</a></td>
<td class="colLast">
<div class="block">This listener is used in playerZone in the button abandonner and passer.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Package</li>
<li><a href="../model/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
